diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index fa1c2c687d..924a29e0b0 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -96,6 +96,7 @@
   #:use-module (gnu packages avahi)
   #:use-module (gnu packages backup)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages cdrom)
@@ -1034,7 +1035,8 @@ H.264 (MPEG-4 AVC) video streams.")
      `(("perl-module-build" ,perl-module-build)
        ("perl-test-pod" ,perl-test-pod)))
     (inputs
-     `(("perl-data-dump" ,perl-data-dump)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("perl-data-dump" ,perl-data-dump)
        ("perl-json" ,perl-json)
        ("perl-libwww" ,perl-libwww)
        ("perl-lwp-protocol-https" ,perl-lwp-protocol-https)
@@ -1787,6 +1789,7 @@ videoformats depend on the configuration flags of ffmpeg.")
     (inputs
      `(("alsa-lib" ,alsa-lib)
        ("avahi" ,avahi)
+       ("bash" ,bash-minimal) ; for wrap-program
        ("dav1d" ,dav1d)
        ("dbus" ,dbus)
        ("eudev" ,eudev)
@@ -2430,7 +2433,8 @@ audio, images) from the Web.  It can use either mpv or vlc for playback.")
     (native-inputs
      `(("perl-module-build" ,perl-module-build)))
     (inputs
-     `(("perl-data-dump" ,perl-data-dump)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("perl-data-dump" ,perl-data-dump)
        ("perl-file-sharedir" ,perl-file-sharedir)
        ("perl-gtk2" ,perl-gtk2)
        ("perl-json" ,perl-json)
@@ -2692,7 +2696,8 @@ device without having to bother about the decryption.")
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
-     `(("guile" ,guile-3.0)))
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("guile" ,guile-3.0)))
     (synopsis "SubRip to WebVTT subtitle converter")
     (description "srt2vtt converts SubRip formatted subtitles to WebVTT format
 for use with HTML5 video.")
@@ -2853,7 +2858,8 @@ capabilities.")
        ("pkg-config" ,pkg-config)
        ("yasm" ,yasm)))
     (inputs
-     `(("ffmpeg" ,ffmpeg)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("ffmpeg" ,ffmpeg)
        ("libass" ,libass)
        ("python" ,python)
        ("tesseract-ocr" ,tesseract-ocr)
@@ -3147,6 +3153,7 @@ be used for realtime video capture via Linux-specific APIs.")
        ("pkg-config" ,pkg-config)))
     (inputs
      `(("alsa-lib" ,alsa-lib)
+       ("bash" ,bash-minimal) ; for wrap-program
        ("curl" ,curl)
        ("eudev" ,eudev)
        ("ffmpeg" ,ffmpeg)
@@ -4160,7 +4167,8 @@ tools for styling them, including a built-in real-time video preview.")
          (base32 "1jics10l16ismi5br6wxi4jxz3dd4p0c0xv8l0l3nvksvda4aafi"))))
      (build-system meson-build-system)
      (inputs
-      `(("glib" ,glib)
+      `(("bash" ,bash-minimal) ; for wrap-program
+        ("glib" ,glib)
         ("gst-editing-services" ,gst-editing-services)
         ("gstreamer" ,gstreamer)
         ("gst-plugins-base" ,gst-plugins-base)
@@ -4552,7 +4560,8 @@ API.  It includes bindings for Python, Ruby, and other languages.")
            (delete-file-recursively "src/images/fonts") #t))))
     (build-system python-build-system)
     (inputs
-     `(("ffmpeg" ,ffmpeg)
+     `(("bash" ,bash-minimal) ; for wrap-qt-program
+       ("ffmpeg" ,ffmpeg)
        ("font-dejavu" ,font-dejavu)
        ("libopenshot" ,libopenshot)
        ("python" ,python)
@@ -4667,7 +4676,8 @@ video from a Wayland session.")
      `(("gettext" ,gettext-minimal)
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("python-pygobject" ,python-pygobject)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("python-pygobject" ,python-pygobject)
        ("gtk+" ,gtk+)
        ("python-pycairo" ,python-pycairo) ; Required or else clicking on a subtitle line fails.
        ("python-chardet" ,python-chardet) ; Optional: Character encoding detection.
@@ -5110,7 +5120,8 @@ brightness, contrast, and frame rate.")
                    prefix (,(string-append perllib ":" (getenv "PERL5LIB")))))
                #t))))))
     (inputs
-     `(("perl-mojolicious" ,perl-mojolicious)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("perl-mojolicious" ,perl-mojolicious)
        ("perl-lwp-protocol-https" ,perl-lwp-protocol-https)
        ("perl-xml-libxml" ,perl-xml-libxml)))
     (home-page "https://github.com/get-iplayer/get_iplayer")